#!/bin/bash

# --- defaults ---------------------------------------------------------
USER="%user%"
SESSION_PID="%sessionPid%"
MRS_HADOOP_PATH="%mrsHadoopPath%"

# --- command-line options ---------------------------------------------
while [ "$1" != "" ]; do
  case "$1" in
    --user )          shift
                      USER=$1
                      ;;
    --sessionPid )    shift
                      SESSION_PID=$1
                      ;;
    --mrsHadoopPath ) shift
                      MRS_HADOOP_PATH=$1
                      ;;
    --scope )         shift
                      SCOPE=$1
                      ;;
    * )               ;;
  esac
  shift
done

HADOOP_FOLDER_PATH=$(dirname "$(readlink -nf ${MRS_HADOOP_PATH})")
LISTER_PATH=${HADOOP_FOLDER_PATH}/workflow/common/RevoSparkAppList

# --- script logic -----------------------------------------------------
${LISTER_PATH} ${USER} ${SESSION_PID} ${SCOPE}

