import sys
import dill
import os


def exec_fun_reducer(args):
    result_file_name = args[1]
    work_dir = args[2]
    num_results = int(args[3])

    try:
        result = []
        for result_index in range(0, num_results):
            with open(os.path.join(work_dir, "rxElem{0}.pyOutData".format(result_index)), "rb") as result_file:
                result_data = dill.load(result_file)
            result.append(result_data)

        # save out_data
        with open(result_file_name, "wb") as out_data_file:
            dill.dump(result, out_data_file)
    except Exception as e:
        sys.stderr.write("{0}\n".format(str(e)))
        sys.exit(1)


if __name__ == '__main__':
    exec_fun_reducer(sys.argv)
