import sys
import dill
import os


def exec_fun_result_preparer(args):
    result_dir = args[1]
    out_data_name = args[2]

    def func(output_dir, fro_file_name):
        import dill
        import os

        with open(os.path.join(output_dir, fro_file_name), "rb") as fro_file:
            ret_object = dill.load(fro_file)
        return ret_object

    func_params = {"fro_file_name": out_data_name}

    job_object = {"func": func, "funcParams": func_params}
    with open(os.path.join(result_dir, "job.pyOutData"), "wb") as job_out_file:
        dill.dump(job_object, job_out_file)


if __name__ == '__main__':
    exec_fun_result_preparer(sys.argv)
